#[allow(unused_imports)]
use tracing::{error, info, warn};
use anyhow::Result;

#[derive(Debug,Clone,Eq,PartialEq)]
pub struct JlcSearchResultItem{
    pub chip_name:String,
    pub imgs_url:Vec<String>,
}

pub async fn search_keyword(keyword:String)->Result<Vec<JlcSearchResultItem>>{
    if keyword.is_empty(){
        return Err(anyhow::anyhow!("No keyword found"));
    }
    Err(anyhow::Error::msg("Search error"))
}